Index: locker/deploy/bin/onathena
===================================================================
--- locker/deploy/bin/onathena	(revision 438)
+++ locker/deploy/bin/onathena	(revision 456)
@@ -7,4 +7,13 @@
   fi
 }
+
+die() {
+  echo "== INSTALLATION FAILED =="
+  echo "Sorry, the installation failed:"
+  echo "$@"
+  echo "Please contact scripts@mit.edu and provide a copy of the output of this installer."
+  exit 1
+}
+  
 
 sshrun() {
@@ -30,11 +39,11 @@
 }
 
-#if [ "$override" = "" ]; then
-#echo "The scripts.mit.edu automatic installers are currently unavailable."
-#echo "We hope to make them available again soon."
-#echo "If you would like us to notify you as soon as they are available again,"
-#echo "let us know by sending us an e-mail at scripts@mit.edu"
-#exit 
-#fi
+if [ "$override" = "" ]; then
+echo "The scripts.mit.edu automatic installers are currently unavailable."
+echo "We hope to make them available again soon."
+echo "If you would like us to notify you as soon as they are available again,"
+echo "let us know by sending us an e-mail at scripts@mit.edu"
+exit 
+fi
 
 echo 
@@ -216,5 +225,5 @@
 cd $origdir
 
-sshrun "deploy$scriptsdev/bin/$deploy '$sname' '$deploy' '$addrend' '$admin_username' '$requires_sql' '$scriptsdev' '$USER'"
+vsshrun "deploy$scriptsdev/bin/$deploy '$sname' '$deploy' '$addrend' '$admin_username' '$requires_sql' '$scriptsdev' '$USER'" || die "Unknown failure during configuration"
 rm -f /$lroot/web_scripts/$addrend/.scripts-tmp
 checkfailed
